Bug 110595 - OpenOffice fails when I create table using postgresql ODBC driver
Summary: OpenOffice fails when I create table using postgresql ODBC driver
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: unixODBC (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-21 16:32 UTC by Maxim Dziumanenko
Modified: 2013-07-03 02:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 04:21:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:128 normal SHIPPED_LIVE Updated unixODBC packages fix various bugs 2004-05-19 04:00:00 UTC

Description Maxim Dziumanenko 2003-11-21 16:32:18 UTC
Description of problem:
OpenOffice crashes when I create table using 
postgresql ODBC driver libodbcpsql.so from unixODBC package

This bug was fixed in unixODBC-2.2.6

Version-Release number of selected component (if applicable):
unixODBC-2.2.5-9

How reproducible:
Always

Steps to Reproduce:
1.Setup datasource using libodbcpsql.so driver in /etc/odbcinst.ini
and /etc/odbc.ini
2.Run OO, in "Data Source Administration" dialog create table using
mentioned above datasource.
3.In "Table Design" create table with several fields, then 
File->Save As
4. See "Welcome to the OpenOffice.oeg 1.1.0 error report"
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom Lane 2004-03-02 00:50:01 UTC
I have updated unixODBC to 2.2.8 for Fedora Core 2.  This appears to
fix the cited problem in a quick test.

Comment 2 John Flanagan 2004-05-12 04:21:19 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-128.html



Note You need to log in before you can comment on or make changes to this bug.